import numpy as np
from scipy.signal import stft
from scipy.signal import istft

def bwExtUpsamplingEmpty(pfSignalNarrow, fSamplerateBroad, iNfft, iFrameshift):
    # Upsample signal
    pfZeroSignal = None # ADD CODE HERE
    pfSignalBroad = None # ADD CODE HERE

    # STFT of signal
    pfFreqVecBroad, _, ppcSignalBroad = stft(pfSignalBroad, fs=fSamplerateBroad, nperseg=iNfft, noverlap=iNfft-iFrameshift)

    # Create very basic attenuation filter
    pfFilter = np.ones(np.size(pfFreqVecBroad))
    pfFilter[int(np.round(iNfft/4)+1):] = None # ADD CODE HERE

    # Apply filter
    ppcFilteredSignalBroad = None # ADD CODE HERE

    # ISTFT of filtered signal
    _, pfFilteredSignalBroad = istft(ppcFilteredSignalBroad, fs=fSamplerateBroad, nperseg=iNfft, noverlap=iNfft-iFrameshift)

    return pfFilteredSignalBroad, pfFilter